### Constructor

# Ide Location new_from_variant

#### Declaration

    IdeLocation*
    ide_location_new_from_variant (
      GVariant* variant
    )

#### Description

Creates a new `IdeLocation` using the serialized form from a previously serialized `GVariant`.

As a convenience, if `variant` is `NULL`, `NULL` is returned.

See also: `ide_location_to_variant()`

Available since: | 3.32

#### Parameters

`variant` | `GVariant`
| A `GVariant` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeLocation`
| A `GVariant` if succesful; otherwise `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.